Create or update a circle expenditure linked to a life stage field Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v2/circles/{circle_uuid}/expenditures/{lifeStage_uuid}/{lifeStageField_uuid}

Path parameters

  • circle_uuid string Required
  • lifeStage_uuid string Required
  • lifeStageField_uuid string Required
  • circle string Required

    The uuid of the circle.

  • lifeStage string Required

    The uuid of the parent Life Stage.

  • lifeStageField string Required

    The uuid of the parent Life Stage Field.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v2/circles/{circle_uuid}/expenditures/{lifeStage_uuid}/{lifeStageField_uuid}
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed/expenditures/6ff8f7f6-1eb3-3525-be4a-3932c805afed/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (401)
{
  "message": "Unauthenticated."
}